// Coralogix
variable "Coralogix-PrivateKey" {}
variable "Coralogix-CompanyID" {}
variable "Coralogix-ApplicationName" {}
variable "Coralogix-Endpoint" {}
variable "Coralogix-CustomDomain" {}

// GCP
variable "GCP-Prefix" {}
variable "GCP-region" {}
variable "GCP-zone" {}
variable "GCP-project" {}
variable "GCP-Machine-Type" {}
variable "GCP-Custom-Machine-Type-CPUs" {}
variable "GCP-Custom-Machine-Type-RAM" {}
variable "GCP-block-project-ssh-keys" {}
variable "GCP-SSH-Key-Required" {}
variable "GPC-Existing-SSH-Public-Key-full-path" {}
variable "GPC-New-SSH-Public-Key-name" {}
variable "GCP-Additional-Tags" {}
variable "GCP-DiskSize" {}

// STA
variable "STA-Public-Access" {}
variable "STA-Config-Cloud-Storage-Bucket" {}
variable "STA-Packets-Cloud-Storage-Bucket-Required" {}
variable "STA-Packets-Cloud-Storage-Bucket" {}
variable "STA-Subnetwork-Mgmt" {}
variable "STA-Subnetwork-VxLanSniffing" {}
variable "STA-Subnetwork-RawSniffing" {}
variable "STA-IP-CIDR-for-Mgmt-Nic" {}
variable "STA-IP-CIDR-for-VxSniffing-Nic" {}
variable "STA-WazuhRequired" {}
variable "STA-Ingress-SSH-Address" {}


module "STA" {
  source = "https://snowbit-integrations.s3-eu-west-1.amazonaws.com/cloud-security/terraform-gcp/snowbit-sta.template.tgz"

  Coralogix-PrivateKey                      = var.Coralogix-PrivateKey
  Coralogix-CompanyID                       = var.Coralogix-CompanyID
  Coralogix-ApplicationName                 = var.Coralogix-ApplicationName
  Coralogix-Endpoint                        = var.Coralogix-Endpoint
  Coralogix-CustomDomain                    = var.Coralogix-CustomDomain

  STA-Public-Access                         = var.STA-Public-Access
  STA-Config-Cloud-Storage-Bucket           = var.STA-Config-Cloud-Storage-Bucket
  STA-Packets-Cloud-Storage-Bucket-Required = var.STA-Packets-Cloud-Storage-Bucket-Required
  STA-Packets-Cloud-Storage-Bucket          = var.STA-Packets-Cloud-Storage-Bucket
  STA-Subnetwork-Mgmt                       = var.STA-Subnetwork-Mgmt
  STA-Subnetwork-VxLanSniffing              = var.STA-Subnetwork-VxLanSniffing
  STA-Subnetwork-RawSniffing                = var.STA-Subnetwork-RawSniffing
  STA-IP-CIDR-for-Mgmt-Nic                  = var.STA-IP-CIDR-for-Mgmt-Nic
  STA-IP-CIDR-for-VxSniffing-Nic            = var.STA-IP-CIDR-for-VxSniffing-Nic
  STA-WazuhRequired                         = var.STA-WazuhRequired
  STA-Ingress-SSH-Address                   = var.STA-Ingress-SSH-Address

  GCP-Prefix                                = var.GCP-Prefix
  GCP-region                                = var.GCP-region
  GCP-zone                                  = var.GCP-zone
  GCP-project                               = var.GCP-project
  GCP-Machine-Type                          = var.GCP-Machine-Type
  GCP-Custom-Machine-Type-CPUs              = var.GCP-Custom-Machine-Type-CPUs
  GCP-Custom-Machine-Type-RAM               = var.GCP-Custom-Machine-Type-RAM
  GCP-block-project-ssh-keys                = var.GCP-block-project-ssh-keys
  GCP-SSH-Key-Required                      = var.GCP-SSH-Key-Required
  GPC-Existing-SSH-Public-Key-full-path     = var.GPC-Existing-SSH-Public-Key-full-path
  GPC-New-SSH-Public-Key-name               = var.GPC-New-SSH-Public-Key-name
  GCP-Additional-Tags                       = var.GCP-Additional-Tags
  GCP-DiskSize                              = var.GCP-DiskSize
}
output "STA" {
  value = module.STA.STA
}
output "Coralogix" {
  value = module.STA.Coralogix
}
output "GCP" {
  value = module.STA.GCP
}
